# pigz 2.8 — gzip paralelo (C, Makefile). Lib base: zlib. De-Alpinizada: gcc, -static -no-pie (zlib non-PIC).
name    = "pigz"
version = "2.8"
[source]
tarball = "https://zlib.net/pigz/pigz-2.8.tar.gz"
sha256  = "eb872b4f0e1f0ebe59c9f7bd8c506c4204893ba6a8492de31df416f0d5170fd0"
[build]
compiler = "gcc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []
[build.phases]
compile = 'make pigz CC=gcc CFLAGS="-O2 -I/usr/include" LDFLAGS="-static -no-pie -L/usr/lib"'
install = 'mkdir -p /out/usr/bin && cp pigz /out/usr/bin/pigz && ln -sf pigz /out/usr/bin/unpigz'

[deps]
build = ["zlib"]
